///////////////////////////////////////
//Name: StoneQuest Client GUI       //
//Author: Chao                       //
//Version: 1.4                         //
///////////////////////////////////////


/////////////////////////////////////////
//LOAD THE StoneGui GUI FILE FROM ZIP//
/////////////////////////////////////////
exec("./StoneGui.gui");
exec("./StoneQuest_Overlay.gui");
exec("./StoneQuest_About.gui");
exec("./StoneQuest_Forgeing.gui");
exec("./StoneQuest_Actions.gui");
exec("./StoneQuest_Shop.gui");
exec("./StoneQuest_Map.gui");
exec("./StoneQuest_Cooking.gui");
exec("./StoneQuest_BuffsOverlay.gui");
exec("./StoneQuest_Buffs.gui");

if(!$StoneGui::Loaded) {
   $StoneGui::Loaded = true;
   
   $remapDivision[$remapCount] = "StoneQuest";
	$remapName[$remapCount] = "Overlay GUI";
	$remapCmd[$remapCount] = "openStoneGui";
	$remapCount++;
}

function openStoneGui(%var)
{
    if(!%var)
  return;
 if(StoneQuest_Overlay.isawake())
  canvas.popdialog(StoneQuest_Overlay);
 else
  canvas.pushdialog(StoneQuest_Overlay);
}

///////////////////////////////////////
//LOADING ALL CLIENT DATA FROM SERVER//
///////////////////////////////////////

//Stats

function clientCmdDisplayClass(%class)
{
   class.settext("Class: " @ %class);
}

function clientCmdDisplayLevel(%level)
{
   level.settext("Level: " @ %level);
}

function clientCmdDisplayGold(%gold)
{
   gold.settext("Gold: " @ %gold);
}

function clientCmdDisplaySQ(%sq)
{
   sq.settext("SQ Points: " @ %sq);
}

//Ores

function clientCmdDisplayCopper(%copper)
{
   copper.settext("Copper: " @ %copper);
}

function clientCmdDisplayIron(%Iron)
{
   Iron.settext("Iron: " @ %Iron);
}

function clientCmdDisplaySteel(%Steel)
{
   Steel.settext("Steel: " @ %Steel);
}

function clientCmdDisplayMithril(%Mithril)
{
   Mithril.settext("Mithril: " @ %Mithril);
}

function clientCmdDisplayAdamant(%Adamant)
{
   Adamant.settext("Adamant: " @ %Adamant);
}

function clientCmdDisplayRune(%Rune)
{
   Rune.settext("Rune: " @ %Rune);
}

//Bars

function clientCmdDisplayCopperbars(%Copperbars)
{
   Copperbars.settext("Bronze: " @ %Copperbars);
}

function clientCmdDisplayIronbars(%Ironbars)
{
   Ironbars.settext("Iron: " @ %Ironbars);
}

function clientCmdDisplaySteelbars(%Steelbars)
{
   Steelbars.settext("Steel: " @ %Steelbars);
}

function clientCmdDisplayMithrilbars(%Mithrilbars)
{
   Mithrilbars.settext("Mithril: " @ %Mithrilbars);
}

function clientCmdDisplayAdamantbars(%Adamantbars)
{
   Adamantbars.settext("Adamant: " @ %Adamantbars);
}

function clientCmdDisplayRunebars(%Runebars)
{
   Runebars.settext("Rune: " @ %Runebars);
}

//GUI bar

function clientCmdUpdateOreBar(%amt)
{
   oreinv.extent = "" @ %amt @ " 16";
}

function clientCmdaddItemtoInv(%text)
{
   inventorylist.addRow(0, %text);
}

///////////////////////////
//ACTIONS
///////////////////////////

function combine()
{
	%thinga = cthing1.getValue();
	%thingb = cthing2.getValue();
	commandtoserver('combine', %thinga, %thingb);
}

function mix()
{
	%thing = mixthing.getValue();
	commandtoserver('mix', %thing);
}

function fame()
{
	%thing = famething.getValue();
	commandtoserver('fame', %thing);
}
function eat()
{
	%thing = eatthing.getValue();
	commandtoserver('eat', %thing);
}

function cookstove()
{
	//%times = cookstovetimes.text;
	commandtoserver('stove');
}

function cookfry()
{
	//%times = cookfrytimes.text;
	commandtoserver('fry');
}

function smelt()
{
	//%times = smelttimes.text;
	commandtoserver('smelt');
}

function sellBronze()
{
	%arg1 = "bronze";
	commandtoserver('sell', %arg1);
}

function sellIron()
{
	%arg1 = "iron";
	commandtoserver('sell', %arg1);
}

function sellSteel()
{
	%arg1 = "steel";
	commandtoserver('sell', %arg1);
}

function sellMithril()
{
	%arg1 = "mithril";
	commandtoserver('sell', %arg1);
}

function sellAdamant()
{
	%arg1 = "adamant";
	commandtoserver('sell', %arg1);
}

function sellRune()
{
	%arg1 = "rune";
	commandtoserver('sell', %arg1);
}

///////////////////////////
//SHOP
///////////////////////////

function Purchase()
{
	if($item $= "Chefhat"){
	%category = "Accessories"; %item = "A1"; }
	if($item $= "Minerswater"){
	%category = "Accessories"; %item = "A2"; }
	if($item $= "Tongs"){
	%category = "Accessories"; %item = "A3"; }
	if($item $= "Energy"){
	%category = "Items"; %item = "I1"; }
	if($item $= "Space"){
	%category = "Items"; %item = "I2"; }
	if($item $= "Health"){
	%category = "Items"; %item = "I3"; }
	if($item $= "Shout"){
	%category = "Items"; %item = "I4"; }
	if($item $= "Trade"){
	%category = "Items"; %item = "I5"; }
	if($item $= "x2"){
	%category = "Coupons"; %item = "C1"; }
	if($item $= "x4"){
	%category = "Coupons"; %item = "C2"; }
	
	if($item $= "applepie"){
	%category = "Items"; %item = "I6"; }
	
	if($item $= "orangepie"){
	%category = "Items"; %item = "I7"; }
	
	if($item $= "lemonpie"){
	%category = "Items"; %item = "I8"; }
	
	if($item $= "applejuice"){
	%category = "Items"; %item = "I9"; }
	
	if($item $= "orangejuice"){
	%category = "Items"; %item = "I10"; }
	
	if($item $= "lemonjuice"){
	%category = "Items"; %item = "I11"; }
	
	if($item $= "doughnuts"){
	%category = "Items"; %item = "I12"; }
	
	if($item $= "lemonade"){
	%category = "Items"; %item = "I13"; }
	
	if($item $= "pancake"){
	%category = "Items"; %item = "I14"; }
	
	if($item $= "glazedoranges"){
	%category = "Items"; %item = "I15"; }
	
	commandtoserver('shop', %category, %item);
}

function Chefdesc()
{
	itemname2.settext("<color:00FFFF><font:impact:25>Chef\'s Hat");
	itemdesc2.settext("<color:FFFFFF><font:impact:20>This nifty hat increases the chance you have of succeeding while cooking something.  Nobody is really sure how it works, but it certainly does the job!");
	itemprice2.settext("<color:FFFF00><font:impact:20>Costs 10 SQ Points");
	$item = "Chefhat";
}

function Waterdesc()
{
	itemname2.settext("<color:00FFFF><font:impact:25>Miner\'s Water");
	itemdesc2.settext("<color:FFFFFF><font:impact:20>This special kind of water is perfect for loosening up the ore inside of a rock.  You can use it to dig up ore quickly.");
	itemprice2.settext("<color:FFFF00><font:impact:20>Costs 10 SQ Points");
	$item = "Minerswater";
}

function Tongsdesc()
{
	itemname2.settext("<color:00FFFF><font:impact:25>Smither\'s Tongs");
	itemdesc2.settext("<color:FFFFFF><font:impact:20>These special tongs prevent metal bars from being dropped into the furnace ( most of the time ).");
	itemprice2.settext("<color:FFFF00><font:impact:20>Costs 15 SQ Points");
	$item = "Tongs";
}

function Energydesc()
{
	itemname3.settext("<color:00FFFF><font:impact:25>Energy Drink");
	itemdesc3.settext("<color:FFFFFF><font:impact:20>( WARNING: CONTAINS HIGH AMOUNTS OF CAFFEINE! ) Increases mining speed, but goes away when you leave the server.");
	itemprice3.settext("<color:FFFF00><font:impact:20>Costs 3 SQ Points");
	$item = "Energy";
}

function Spacedesc()
{
	itemname3.settext("<color:00FFFF><font:impact:25>More Ore Space");
	itemdesc3.settext("<color:FFFFFF><font:impact:20>Want to carry more ore with you?  This larger backpack will double your ore space!");
	itemprice3.settext("<color:FFFF00><font:impact:20>Costs 50 SQ Points");
	$item = "Space";
}

function Healthdesc()
{
	itemname3.settext("<color:00FFFF><font:impact:25>Health Drink");
	itemdesc3.settext("<color:FFFFFF><font:impact:20>Increases your health by 100!  ( More than one use )");
	itemprice3.settext("<color:FFFF00><font:impact:20>Costs 10 SQ Points");
	$item = "Health";
}

function Shoutdesc()
{
	itemname3.settext("<color:00FFFF><font:impact:25>Shout");
	itemdesc3.settext("<color:FFFFFF><font:impact:20>Share your thoughts with the world with this nifty item!");
	itemprice3.settext("<color:FFFF00><font:impact:20>Costs 1 SQ Points");
	$item = "Shout";
}

function Tradedesc()
{
	itemname3.settext("<color:00FFFF><font:impact:25>Trade for Gold");
	itemdesc3.settext("<color:FFFFFF><font:impact:20>Got some extra SQ Points?  Trade them for 1000 gold a piece!");
	itemprice3.settext("<color:FFFF00><font:impact:20>Trade 1 SQ Point for 1k Gold");
	$item = "Trade";
}

function x2desc()
{
	itemname.settext("<color:00FFFF><font:impact:25>Double EXP");
	itemdesc.settext("<color:FFFFFF><font:impact:20>You will get twice the amount of EXP from everything.  This coupon will disappear if you leave the server.");
	itemprice.settext("<color:FFFF00><font:impact:20>Costs 6 SQ Points");
	$item = "x2";
}

function x4desc()
{
	itemname.settext("<color:00FFFF><font:impact:25>Quadruple EXP");
	itemdesc.settext("<color:FFFFFF><font:impact:20>You will get 4 times the amount of EXP from everything.  This coupon will disappear if you leave the server.");
	itemprice.settext("<color:FFFF00><font:impact:20>Costs 16 SQ Points");
	$item = "x4";
}

function applejuicedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Apple Juice Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 500 Gold");
	$item = "applejuice";
}

function orangejuicedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Orange Juice Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 500 Gold");
	$item = "orangejuice";
}

function lemonjuicedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Lemon Juice Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 500 Gold");
	$item = "lemonjuice";
}

function applepiedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Apple Pie Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 900 Gold");
	$item = "applepie";
}

function orangepiedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Orange Pie Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 900 Gold");
	$item = "orangepie";
}

function lemonpiedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Lemon Pie Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 900 Gold");
	$item = "lemonpie";
}

function doughnutsdesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Doughnuts Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 15000 Gold");
	$item = "doughnuts";
}

function pancakedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Pancake Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 1000 Gold");
	$item = "pancake";
}

function lemonadedesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Lemonade Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 1000 Gold");
	$item = "lemonade";
}

function glazedorangesdesc()
{
	itemname4.settext("<color:00FFFF><font:impact:25>Glaze Oranges Recipe");
	itemdesc4.settext("<color:FFFFFF><font:impact:20>This cooking recipe will go into your recipes section of the cooking menu.");
	itemprice4.settext("<color:FFFF00><font:impact:20>Costs 2500 Gold");
	$item = "glazedoranges";
}

//function clientCmdPopulateForge(%name, %line)
//{
//	recipes.addRow(%line,%name);
//}


	function BronzeSwordDesc()
	{
		item_name.settext("<font:Impact:25>Bronze Sword");
		item_ingredients.settext("<font:Impact:25>4 Bronze Bars");
		$itemtoforge = "Bronze Sword";
	}
	function IronSwordDesc()
	{
		item_name.settext("<font:Impact:25>Iron Sword");
		item_ingredients.settext("<font:Impact:25>4 Iron Bars");
		$itemtoforge = "Iron Sword";
	}
	function SteelSwordDesc()
	{
		item_name.settext("<font:Impact:25>Steel Sword");
		item_ingredients.settext("<font:Impact:25>4 Steel Bars");
		$itemtoforge = "Steel Sword";
	}
	function MithrilSwordDesc()
	{
		item_name.settext("<font:Impact:25>Mithril Sword");
		item_ingredients.settext("<font:Impact:25>4 Mithril Bars");
		$itemtoforge = "Mithril Sword";
	}
	function AdamantSwordDesc()
	{
		item_name.settext("<font:Impact:25>Adamant Sword");
		item_ingredients.settext("<font:Impact:25>4 Adamant Bars");
		$itemtoforge = "Adamant Sword";
	}
	function RuneSwordDesc()
	{
		item_name.settext("<font:Impact:25>Rune Sword");
		item_ingredients.settext("<font:Impact:25>4 Rune Bars");
		$itemtoforge = "Rune Sword";
	}


function forge()
{
	%item = $itemtoforge;
	%slot = slottext.getValue();
	commandtoserver('forge', %item, %slot);
}




//EXP BAR


if(!isObject(HUD_HealthBar))
{
	// Add the GUI object.
	exec("./HealthBar.gui");
	PlayGUI.add(HUD_HealthBar);
	PlayGUI.add(ExperienceText);
	PlayGUI.add(StoneQuest_BuffsOverlay);
	//PlayGUI.add(percent);
	HUD_HealthBar.setVisible(false);
	ExperienceText.setVisible(false);
}

function clientCmdSetEXPLevel(%exp)
{
	%amt = (%exp * 3);
	//%rexp = round(%exp);
	HUD_HealthMeter.extent = "" @ %amt @ " 17";
	percent.setText(" " @ %exp @ "%");
}

// Toggles the healthbar's visibility.
function clientCmdSetEXPBarVisible()
{
	HUD_HealthBar.setVisible(true);
	ExperienceText.setVisible(true);
	StoneQuest_BuffsOverlay.setVisible(true);
}

function expcolorback()
{
	HUD_HealthMeter.setColor("255 255 0 255");
}

package Healthbar_Client
{	
	// Hides the Healthbar when you leave a server.
	function disconnectedCleanup()
	{
		HUD_HealthBar.setVisible(false);
		ExperienceText.setVisible(false);
		StoneQuest_BuffsOverlay.setVisible(false);
		HUD_HealthMeter.extent = "232 7";
		
		return parent::disconnectedCleanup();
	}
};
activatePackage(Healthbar_Client);

//////////////////////
//NEW COOKING SYSTEM//
//////////////////////

function Cookinginventory::onSelect(%this,%id,%text)
{
   $ing = %text;
   if($ing $= "Apples")
   {
		commandtoserver('subApples');
   }
   if($ing $= "Oranges")
   {
		commandtoserver('subOranges');
   }
   if($ing $= "Lemons")
   {
		commandtoserver('subLemons');
   }
   if($ing $= "Flour")
   {
		commandtoserver('subFlour');
   }
   if($ing $= "Glaze")
   {
		commandtoserver('subGlaze');
   }
   if($ing $= "Cakemix")
   {
		commandtoserver('subCakemix');
   }
   if($ing $= "Piecrust")
   {
		commandtoserver('subPiecrust');
   }
   if($ing $= "Sugar")
   {
		commandtoserver('subSugar');
   }
   if($ing $= "Salt")
   {
		commandtoserver('subSalt');
   }
   if($ing $= "Eggs")
   {
		commandtoserver('subEggs');
   }
   if($ing $= "Water")
   {
		commandtoserver('subWater');
   }
   Cookinginventory.clear();
   commandtoserver('refreshcook');
}

function recipeslist::onSelect(%this,%id,%text)
{
   if(%text $= "Bread")
   {
		commandtoserver('getBreadRecipe');
   }
   if(%text $= "Apple Juice")
   {
		commandtoserver('getAppleJuiceRecipe');
   }
   if(%text $= "Orange Juice")
   {
		commandtoserver('getOrangeJuiceRecipe');
   }
   if(%text $= "Lemon Juice")
   {
		commandtoserver('getLemonJuiceRecipe');
   }
   if(%text $= "Doughnuts")
   {
		commandtoserver('getDoughnutsRecipe');
   }
   if(%text $= "Apple Pie")
   {
		commandtoserver('getApplePieRecipe');
   }
   if(%text $= "Orange Pie")
   {
		commandtoserver('getOrangePieRecipe');
   }
   if(%text $= "Lemon Pie")
   {
		commandtoserver('getLemonPieRecipe');
   }
   if(%text $= "Glazed Oranges")
   {
		commandtoserver('getGlazedOrangesRecipe');
   }
   if(%text $= "Pancake")
   {
		commandtoserver('getPancakeRecipe');
   }
   if(%text $= "Lemonade")
   {
		commandtoserver('getLemonadeRecipe');
   }
   if(%text $= "???")
   {
		recipetext.setText("<font:impact:20>Unknown Recipe<br><br>????????????");
   }
}

function clientCmdSetRecipeText(%text)
{
	recipetext.setText(%text);
}

function addingredient()
{
	if($ing $= "")
	{
		MessageBoxOK("Select an ingredient", "Please select an ingredient to add first.");
		return;
	}
	//Cookinginventory.removeRowById($rowtoremove);
	if($amountincook >= 100)
	{
		MessageBoxOK("Full", "Your dish is full with ingredients.  You can cook your dish now.");
		return;
	}
	if($ing $= "apples")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$applesincook += 1;
	}
	if($ing $= "oranges")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$orangesincook += 1;
	}
	if($ing $= "lemons")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$lemonsincook += 1;
	}
	if($ing $= "flour")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$flourincook += 1;
	}
	if($ing $= "glaze")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$glazeincook += 1;
	}
	if($ing $= "cakemix")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$cakemixincook += 1;
	}
	if($ing $= "sugar")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$sugarincook += 1;
	}
	if($ing $= "salt")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$saltincook += 1;
	}
	if($ing $= "eggs")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$eggsincook += 1;
	}
	if($ing $= "piecrust")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$piecrustincook += 1;
	}
	if($ing $= "water")
	{
		$amountincook += 1;
		%barset = ($amountincook * 3);
		cookbar.extent = "" @ %barset @ " 50";
		$waterincook += 1;
	}
}

function cookdish()
{
	if($amountincook == 100)
	{
		%apples = $applesincook;
		%oranges = $orangesincook;
		%lemons = $lemonsincook;
		%flour = $flourincook;
		%cakemix = $cakemixincook;
		%glaze = $glazeincook;
		%sugar = $sugarincook;
		%salt = $saltincook;
		%piecrust = $piecrustincook;
		%eggs = $eggsincook;
		%water = $waterincook;
		commandtoserver('cook', %apples, %oranges, %lemons, %flour, %cakemix, %glaze, %sugar, %eggs, %piecrust, %salt, %water);
		$ing = "";
		$amountincook = 0;
		cookbar.extent = "0 50";
		$applesincook = 0;
		$orangesincook = 0;
		$lemonsincook = 0;
		$flourincook = 0;
		$cakemixincook = 0;
		$glazeincook = 0;
		$sugarincook = 0;
		$eggsincook = 0;
		$piecrustincook = 0;
		$saltincook = 0;
		$waterincook = 0;
	}
	else
	{
		MessageBoxOK("Not full","You need to completely fill your dish in order to cook.");
	}
}

function clientCmdpopulateCookingInventory(%ingredient, %amount)
{
	Cookinginventory.addRow(0, %ingredient);
}

function clientCmdpopulateRecipes(%text)
{
	Recipeslist.addRow(0, %text);
}

function clientCmdpopulateIngredientInventory(%ingredient, %amount)
{
	ingredientslist.addRow(0, "" @ %ingredient @ " - " @ %amount);
}

function clientCmdpopulateDishesInventory(%ingredient, %amount)
{
	disheslist.addRow(0, "" @ %ingredient @ " - " @ %amount);
}

function clientCmdpopulateSpecialInventory(%ingredient, %amount)
{
	inventorylist.addRow(0, "" @ %ingredient @ " - " @ %amount);
}

function clientCmdrefreshcook()
{
	commandtoserver('refreshcook');
}


///////////////
//BUFF SYSTEM//
///////////////

//function to change buff image in the left hand side of the screen during gameplay
function clientCmdSetBuff(%buff)
{
	//if there is no buff or i tell it to go to nothing...
	if(%buff $= "" || %buff $= "None")
	{
		buff.setBitmap(""); //set bitmap to nothing (the black box)
		return;
	}
	
	//now begins the actual buffs
	
	//Health buff 1 - adds 200 to max health
	if(%buff $= "health1")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_health1");
		return;
	}
	
	//Health buff 2 - adds 500 to max health
	if(%buff $= "health2")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_health2");
		return;
	}
	
	//Health buff 3 - adds 1000 to max health
	if(%buff $= "health3")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_health3");
		return;
	}
	
	//Exp buff - you get 10% more exp
	if(%buff $= "exp")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_exp");
		return;
	}
	
	if(%buff $= "exp2")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_exp2");
		return;
	}
	
	if(%buff $= "exp3")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_exp3");
		return;
	}
	
	//Speed buff 1 - makes you kind of fast (only available for hexblade, axeman, magician)
	if(%buff $= "speed1")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_speed1");
		return;
	}
	
	//Speed buff 2 - makes you very fast (only available for hexblade, axeman, magician)
	if(%buff $= "speed2")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_speed2");
		return;
	}
	
	//Attack buff - ups attack power by 25%
	if(%buff $= "attack")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_attack");
		return;
	}
	
	if(%buff $= "attack2")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_attack2");
		return;
	}
	
	if(%buff $= "attack3")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_attack3");
		return;
	}
	
	//Defense buff - reduces how much damage you take by 25%
	if(%buff $= "defense")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_defense");
		return;
	}
	
	if(%buff $= "defense2")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_defense2");
		return;
	}
	
	if(%buff $= "defense3")
	{
		buff.setBitmap("add-ons/Client_StoneQuest/buff_defense3");
		return;
	}
}

//Casting buffs
function casthealth1()
{
	//send request to server...
	%spell = "health1";
	commandtoserver('cast', %spell);
}
function casthealth2()
{
	//send request to server...
	%spell = "health2";
	commandtoserver('cast', %spell);
}
function casthealth3()
{
	//send request to server...
	%spell = "health3";
	commandtoserver('cast', %spell);
}
function castspeed1()
{
	//send request to server...
	%spell = "speed1";
	commandtoserver('cast', %spell);
}
function castspeed2()
{
	//send request to server...
	%spell = "speed2";
	commandtoserver('cast', %spell);
}
function castattack()
{
	//send request to server...
	%spell = "attack";
	commandtoserver('cast', %spell);
}
function castattack2()
{
	//send request to server...
	%spell = "attack2";
	commandtoserver('cast', %spell);
}
function castattack3()
{
	//send request to server...
	%spell = "attack3";
	commandtoserver('cast', %spell);
}
function castdefense()
{
	//send request to server...
	%spell = "defense";
	commandtoserver('cast', %spell);
}
function castdefense2()
{
	//send request to server...
	%spell = "defense2";
	commandtoserver('cast', %spell);
}
function castdefense3()
{
	//send request to server...
	%spell = "defense3";
	commandtoserver('cast', %spell);
}
function castexp()
{
	//send request to server...
	%spell = "exp";
	commandtoserver('cast', %spell);
}
function castexp2()
{
	//send request to server...
	%spell = "exp2";
	commandtoserver('cast', %spell);
}
function castexp3()
{
	//send request to server...
	%spell = "exp3";
	commandtoserver('cast', %spell);
}